Bug 44804 - parport broken
Summary: parport broken
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-17 08:40 UTC by Gerald Teschl
Modified: 2007-04-18 16:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-03 18:05:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gerald Teschl 2001-06-17 08:40:47 UTC
It looks like the parport support is broken on my laptop (beta hw #12). I
have an
hp lj 1100 connected to my parport but it is not possibel to communicate
with the
printer (/dev/lp0 behaves like /dev/null). I connected the printer to
another box
running rh 7.1 and printing works fine, in particular the printer is
detected fine
by the kernel:
[gerald@s1 gerald]$ cat /proc/sys/dev/parport/parport0/autoprobe
CLASS:PRINTER;
MODEL:HP LaserJet 1100;
MANUFACTURER:Hewlett-Packard;
DESCRIPTION:HP LaserJet 1100 Printer;
COMMAND SET:MLC,PCL,PJL
but on my laptop the file remains empty. The same laptop/printer worked
fine under
redhat 7.0. Moroever, I just tested that printing from win98 still works,
so the hardware
is fine.

Output from dmesg:
-----------------------------------------------
Winbond Super-IO detection, now testing ports 3F0,370,250,4E,2E ...
Winbond chip at EFER=0x250 key=0x89 devid=2d devrev=21 oldid=2d
Winbond chip type 83877ATF
SMSC Super-IO detection, now testing Ports 2F0, 370 ...
parport0: PC-style at 0x378 [PCSPP]
parport0: cpp_daisy: aa5500ff(98)
parport0: assign_addrs: aa5500ff(98)
parport0: cpp_daisy: aa5500ff(98)
parport0: assign_addrs: aa5500ff(98)
lp0: using parport0 (polling).
----------------------------------------------------
I also tried the suggestions from parport.txt (irq=none ....) but to no
avail.

Comment 1 Tim Waugh 2001-06-17 11:37:00 UTC
Please try this:

Load the parport_pc module (modprobe parport_pc)
Load the lp module (modprobe lp)
Power the printer off.
Unplug it from the port.
Re-insert it, and power it on.
See if you can print.

Thanks.


Comment 2 Gerald Teschl 2001-06-18 18:12:55 UTC
Already tried this, but it won't work.

Comment 3 Tim Waugh 2001-06-18 18:19:42 UTC
- Does the port do ECP in hardware (i.e. is 'ECP' an option in the BIOS)?  If 
so, did you try recompiling the kernel with parallel port FIFO support 
(CONFIG_PARPORT_PC_FIFO)?

- Also, could you see if disabling CONFIG_PARPORT_SUPERIO has any effect?

- When you say that /dev/lp0 acts like /dev/null, do you mean that the printer 
doesn't even act like it's being spoken to? No lights flashing?

- /dev/lp0 _is_ a char special file..? ;-)




Comment 4 Gerald Teschl 2001-06-19 18:49:49 UTC
Yes, I do have ECP as an option. I changed the mode to ECP but it still doesn't
work
(had no time to recompile the kernel yet).

By "/dev/null" I mean "no flashing lights" on the printer.

Comment 5 Gerald Teschl 2001-06-22 12:04:49 UTC
I changed the BIOS setting to ECP and recompiled the kernel with
CONFIG_PARPORT_PC_FIFO
but it makes no difference.

Comment 6 Gerald Teschl 2001-06-26 09:12:26 UTC
Still broken in current erata kernel-2.4.3-12.

Comment 7 Tim Waugh 2001-06-26 16:04:46 UTC
If you boot a 2.2.x kernel (say, the latest 7.0 errata kernel), can _that_ 
print to this printer, keeping everything else the same?


Comment 8 Gerald Teschl 2001-06-27 07:54:20 UTC
Yes, with a 2.2.x kernel printing works just fine.

Comment 9 Tim Waugh 2001-07-03 09:21:10 UTC
> I changed the BIOS setting to ECP and recompiled the kernel with
> CONFIG_PARPORT_PC_FIFO
> but it makes no difference.

Could you show me the dmesg output from this?  Thanks.


Comment 10 Juan Carlos Castro y Castro 2001-07-03 18:05:25 UTC
I can confirm this problem, and in quite different hardware at that: desktop K6-2/500 (PC-Chips PC100 mainboard), and a Canon BJC-1000. Haven't 
done the tests suggested yet, but will do tonight.

In the meantime, could I suggest you try the absolute latest Alan Cox kernel (2.4.5-ac23)?

Comment 11 Gerald Teschl 2001-07-25 20:37:17 UTC
Problem resolved in kernel-2.4.6-2 from rawhide.


Note You need to log in before you can comment on or make changes to this bug.